#include <bits/stdc++.h>
using namespace std;

int najm=2e9,v,d10,d20,d50,d11,d12,d15,d21,d22,d25,d51,d52,d55,razlika,z,k;

int main(){
    cin >> v;
d10=1;
d11=10;
d12=100;
d15=10000;

d20=2;
d21=20;
d22=200;
d25=20000;

d50=5;
d51=50;
d52=500;
d55=50000;
razlika=v;
   for(int i=1; i<=v; i++){

    razlika-=k;



      if(razlika==0)break;
    else if(razlika>0){
    z++;

    if(najm>=razlika-d10 and (razlika-d10)>=0){najm=razlika-d10;k=d10;}
    if(najm>=razlika-d20 and (razlika-d20)>=0){najm=razlika-d20;k=d20;}
    if(najm>=razlika-d50 and (razlika-d50)>=0){najm=razlika-d50;k=d50;}
    if(najm>=razlika-d11 and (razlika-d11)>=0){najm=razlika-d11;k=d11;}
    if(najm>=razlika-d12 and (razlika-d12)>=0){najm=razlika-d12;k=d12;}
    if(najm>=razlika-d15 and (razlika-d15)>=0){najm=razlika-d15;k=d15;}
    if(najm>=razlika-d21 and (razlika-d21)>=0){najm=razlika-d21;k=d21;}
    if(najm>=razlika-d22 and (razlika-d22)>=0){najm=razlika-d22;k=d22;}
    if(najm>=razlika-d25 and (razlika-d25)>=0){najm=razlika-d25;k=d25;}
    if(najm>=razlika-d51 and (razlika-d51)>=0){najm=razlika-d51;k=d51;}
    if(najm>=razlika-d52 and (razlika-d52)>=0){najm=razlika-d52;k=d52;}
    if(najm>=razlika-d55 and (razlika-d55)>=0){najm=razlika-d55;k=d55;}
   }

   }
    cout<<z<<endl;
return 0;

}